# class KDockSplitter | Like QSplitter but specially designed for dockwidgets stuff. More...
Internal Use Only
Definition | `#include <kdockwidget_private.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDockSplitter (QWidget *parent= 0, const char *name= 0, Orientation orient= Vertical, int pos= 50)
- virtual ~KDockSplitter ()
- void activate (QWidget *c0, QWidget *c1 = 0L)
- void deactivate ()
- int separatorPos ()
- void setSeparatorPos (int pos, bool do_resize = true)
- virtual bool eventFilter (QObject *, QEvent *)
- virtual bool event ( QEvent * )
- QWidget* getFirst ()
- QWidget* getLast ()
- QWidget* getAnother ( QWidget* )
- void updateName ()

#### Protected Methods

- int checkValue ( int )
- virtual void resizeEvent (QResizeEvent *)

## Detailed Description

Like QSplitter but specially designed for dockwidgets stuff.

KDockSplitter (QWidget *parent= 0, const char *name= 0, Orientation orient= Vertical, int pos= 50) | ### KDockSplitter

~KDockSplitter () | ### ~KDockSplitter

[virtual]

void activate (QWidget *c0, QWidget *c1 = 0L) | ### activate

void deactivate () | ### deactivate

int separatorPos () | ### separatorPos

void setSeparatorPos (int pos, bool do_resize = true) | ### setSeparatorPos

bool eventFilter (QObject *, QEvent *) | ### eventFilter

[virtual]

bool event ( QEvent * ) | ### event

[virtual]

Reimplemented from QWidget.

QWidget* getFirst () | ### getFirst

QWidget* getLast () | ### getLast

QWidget* getAnother ( QWidget* ) | ### getAnother

void updateName () | ### updateName

int checkValue ( int ) | ### checkValue

[protected]

void resizeEvent (QResizeEvent *) | ### resizeEvent

[protected virtual]

Reimplemented from QWidget.

- Version: $Id: kdockwidget_private.h,v 1.6 2001/01/27 23:09:52 falkbr Exp $
- Author: Max Judin.
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.